<template>
  <div
      class="fixed top-1/2 left-1/2 transform -translate-y-1/2 -translate-x-1/2 p-3 w-full max-w-lg z-50">
    <div class="relative block text-center p-3 bg-white rounded-md shadow-lg ">

      <div class="relative w-3/4 mx-auto aspect-square p-6">
        <IconTopup />
      </div>
      <div class="content mt-6">
        <h2 class="relative block text-lg font-bold">Credit Halosis Chat Commerce Anda Telah Habis</h2>
        <h3 class="relative block text-md font-semibold">Klik tombol dibawah ini, untuk melakukan Top Up!</h3>
        <a :href="`${helpers.goToBackoffice()}/index.php?r=pricingAddon/index`"
            class="btn btn-primary group normal-case text-white hover:text-white">
          <span class="text-md">Top Up Segera</span>
        </a>
      </div>
    </div>
  </div>

  <Overlay/>
</template>
<script setup lang="ts">
import Overlay from "../Utility/Overlay.vue";
import helpers from "../../utils/helpers";
import IconTopup from "../../components/Icon/Icon/IconTopup.vue";

// const generalStore = useGeneralStore()
const refresh = async () => {
  // await generalStore.updateLoginToken()
  window.location.reload()
}
</script>